Index: trunk/source/visualization/gMocren/src/G4GMocrenIO.cc
===================================================================
--- trunk/source/visualization/gMocren/src/G4GMocrenIO.cc	(revision 1346)
+++ trunk/source/visualization/gMocren/src/G4GMocrenIO.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4GMocrenIO.cc,v 1.5 2009/12/03 11:44:42 akimura Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4GMocrenIO.cc,v 1.6 2010/11/10 23:53:23 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -40,5 +40,4 @@
 //
 #include "G4GMocrenIO.hh"
-
 #include <iostream>
 #include <ctime>
@@ -47,4 +46,8 @@
 #include <cstdlib>
 #include <cstring>
+
+#include "globals.hh"
+#include "G4VisManager.hh"
+
 #if defined(_WIN32)
 #define LITTLE_ENDIAN 1234
@@ -97,7 +100,8 @@
   }
   if(!stat) {
-    std::cerr << "Warning: operator + "
-	      << "         Cannot do the operator +"
-	      << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Warning: operator + "
+	     << "         Cannot do the operator +"
+	     << G4endl;
     return *this;
   }
@@ -137,7 +141,8 @@
   }
   if(!stat) {
-    std::cerr << "Warning: operator += " << std::endl
-	      << "         Cannot do the operator +="
-	      << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Warning: operator += " << G4endl
+	     << "         Cannot do the operator +="
+	     << G4endl;
     return *this;
   }
@@ -263,6 +268,7 @@
 			   int _num) {
   if(_num >= (int)kTrack.size()) {
-    std::cerr << "GMocrenTrack::getStep(...) Error: "
-	      << "invalid step # : " << _num << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "GMocrenTrack::getStep(...) Error: "
+	     << "invalid step # : " << _num << G4endl;
     return;
   }
@@ -313,6 +319,7 @@
 			   int _num) {
   if(_num >= (int)kDetector.size()) {
-    std::cerr << "GMocrenDetector::getEdge(...) Error: "
-	      << "invalid edge # : " << _num << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "GMocrenDetector::getEdge(...) Error: "
+	     << "invalid edge # : " << _num << G4endl;
     return;
   }
@@ -458,7 +465,7 @@
 
   if(DEBUG || kVerbose > 0)
-    std::cout << ">>>>>>>  store data (ver.4) <<<<<<<" << std::endl;
+    G4cout << ">>>>>>>  store data (ver.4) <<<<<<<" << G4endl;
   if(DEBUG || kVerbose > 0)
-    std::cout << "         " << kFileName << std::endl;
+    G4cout << "         " << kFileName << G4endl;
 
   // output file open
@@ -466,5 +473,5 @@
 		      std::ios_base::out|std::ios_base::binary);
   if(DEBUG || kVerbose > 0)
-    std::cout << "         file open status: " << ofile << std::endl;
+    G4cout << "         file open status: " << ofile << G4endl;
   
   // file identifier
@@ -480,6 +487,6 @@
   ofile.write((char *)&littleEndian, sizeof(char));
   if(DEBUG || kVerbose > 0) {
-    //std::cout << "Endian: " << (int)kLittleEndianOutput << std::endl;
-    std::cout << "Endian: " << (int)littleEndian << std::endl;
+    //G4cout << "Endian: " << (int)kLittleEndianOutput << G4endl;
+    G4cout << "Endian: " << (int)littleEndian << G4endl;
   }
 
@@ -505,6 +512,6 @@
   ofile.write((char *)cmt, 1024);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Data comment : "
-	      << kComment << std::endl;
+    G4cout << "Data comment : "
+	      << kComment << G4endl;
   }
 
@@ -518,9 +525,9 @@
   }
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -583,13 +590,13 @@
 
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", ";
     for(int i = 0; i < nDoseDist; i++) {
-      std::cout << kPointerToDoseDistData[i] << ", ";
-    }
-    std::cout << kPointerToROIData << ", "
+      G4cout << kPointerToDoseDistData[i] << ", ";
+    }
+    G4cout << kPointerToROIData << ", "
 	      << kPointerToTrackData << ", "
 	      << kPointerToDetectorData
-	      << std::endl;
+	      << G4endl;
   }
 
@@ -613,9 +620,9 @@
 
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
 
@@ -643,13 +650,13 @@
   }
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image min., max., scale : "
+    G4cout << "Modality image min., max., scale : "
 	      << minmax[0] << ", "
 	      << minmax[1] << ", "
-	      << scale << std::endl;
+	      << scale << G4endl;
   }
 
   // modality image
   int psize = size[0]*size[1];
-  if(DEBUG || kVerbose > 0) std::cout << "Modality image : ";
+  if(DEBUG || kVerbose > 0) G4cout << "Modality image : ";
   for(int i = 0; i < size[2]; i++) {
     short * image = kModality.getImage(i);
@@ -663,12 +670,12 @@
     }
 
-    if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
-  }
-  if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
+  }
+  if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
   // modality desity map for CT value
   size_t msize = minmax[1] - minmax[0]+1;
   if(DEBUG || kVerbose > 0) 
-    std::cout << "modality image : " << minmax[0] << ", " << minmax[1] << std::endl;
+    G4cout << "modality image : " << minmax[0] << ", " << minmax[1] << G4endl;
   float * pdmap = new float[msize];
   for(int i = 0; i < (int)msize; i++) pdmap[i] =kModalityImageDensityMap[i]; 
@@ -684,8 +691,8 @@
 
   if(DEBUG || kVerbose > 0) {
-    std::cout << "density map : " << std::ends;
+    G4cout << "density map : " << std::ends;
     for(int i = 0; i < (int)msize; i+=50)
-      std::cout <<kModalityImageDensityMap[i] << ", ";
-    std::cout << std::endl;
+      G4cout <<kModalityImageDensityMap[i] << ", ";
+    G4cout << G4endl;
   }
   delete [] pdmap;
@@ -709,9 +716,9 @@
       }
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose << "] image size : ("
+	G4cout << "Dose dist. [" << ndose << "] image size : ("
 		  << size[0] << ", "
 		  << size[1] << ", "
 		  << size[2] << ")"
-		  << std::endl;
+		  << G4endl;
       }
 
@@ -732,5 +739,5 @@
       ofile.write((char *)cdunit, 12);
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. unit : " << kDoseUnit << std::endl;
+	G4cout << "Dose dist. unit : " << kDoseUnit << G4endl;
       }
 
@@ -746,9 +753,9 @@
       }
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose
+	G4cout << "Dose dist. [" << ndose
 		  << "] image min., max., scale : "
 		  << minmax[0] << ", "
 		  << minmax[1] << ", "
-		  << scale << std::endl;
+		  << scale << G4endl;
       }
 
@@ -770,10 +777,10 @@
 	  for(int j = 0; j < dsize; j++) {
 	    if(dimage[j] < 0)
-	      std::cout << "[" << j << "," << z << "]"
+	      G4cout << "[" << j << "," << z << "]"
 			<< dimage[j] << ", ";
 	  }
 	}
       }
-      if(DEBUG || kVerbose > 0) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) G4cout << G4endl;
       delete [] dimage;
 
@@ -790,9 +797,9 @@
       }
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose
+	G4cout << "Dose dist. [" << ndose
 		  << "]image relative location : ("
 		  << iCenter[0] << ", "
 		  << iCenter[1] << ", "
-		  << iCenter[2] << ")" << std::endl;
+		  << iCenter[2] << ")" << G4endl;
       }
 
@@ -803,5 +810,5 @@
       ofile.write((char *)name.c_str(), 80);
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. name : " << name << std::endl;
+	G4cout << "Dose dist. name : " << name << G4endl;
       }
 
@@ -821,9 +828,9 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -847,8 +854,8 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -879,8 +886,8 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< iCenter[0] << ", "
 		<< iCenter[1] << ", "
-		<< iCenter[2] << ")" << std::endl;
+		<< iCenter[2] << ")" << G4endl;
     }
   }
@@ -898,6 +905,6 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of tracks : "
-		<< ntrk << std::endl;
+      G4cout << "# of tracks : "
+		<< ntrk << G4endl;
     }
 
@@ -913,5 +920,5 @@
       }
       if(DEBUG || kVerbose > 0) {
-	std::cout << "# of steps : " << nsteps << std::endl;
+	G4cout << "# of steps : " << nsteps << G4endl;
       }
 
@@ -950,6 +957,6 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "# of detectors : "
-		<< ndet << std::endl;
+      G4cout << "# of detectors : "
+		<< ndet << G4endl;
     }
 
@@ -965,5 +972,5 @@
       }
       if(DEBUG || kVerbose > 0) {
-	std::cout << "# of edges in a detector : " << nedges << std::endl;
+	G4cout << "# of edges in a detector : " << nedges << G4endl;
       }
 
@@ -985,10 +992,10 @@
 	if(DEBUG || kVerbose > 0) {
 	  if(ne < 1) {
-	    std::cout << " edge : (" << edgePoints[0] << ", "
+	    G4cout << " edge : (" << edgePoints[0] << ", "
 		      << edgePoints[1] << ", "
 		      << edgePoints[2] << ") - ("
 		      << edgePoints[3] << ", "
 		      << edgePoints[4] << ", "
-		      << edgePoints[5] << ")" << std::endl;
+		      << edgePoints[5] << ")" << G4endl;
 	  }
 	}
@@ -1000,7 +1007,7 @@
       ofile.write((char *)dcolor, 3);
       if(DEBUG || kVerbose > 0) {
-	std::cout << " rgb : (" << (int)dcolor[0] << ", "
+	G4cout << " rgb : (" << (int)dcolor[0] << ", "
 		  << (int)dcolor[1] << ", "
-		  << (int)dcolor[2] << ")" << std::endl;
+		  << (int)dcolor[2] << ")" << G4endl;
       }
 
@@ -1010,5 +1017,5 @@
       ofile.write((char *)dname.c_str(), 80);
       if(DEBUG || kVerbose > 0) {
-	std::cout << " detector name : " << dname << std::endl;
+	G4cout << " detector name : " << dname << G4endl;
       
       }
@@ -1021,5 +1028,5 @@
   ofile.close();
   if(DEBUG || kVerbose > 0)
-    std::cout << ">>>> closed gdd file: " << kFileName << std::endl;
+    G4cout << ">>>> closed gdd file: " << kFileName << G4endl;
 
   return true;
@@ -1027,6 +1034,6 @@
 bool G4GMocrenIO::storeData3() {
 
-  if(kVerbose > 0) std::cout << ">>>>>>>  store data (ver.3) <<<<<<<" << std::endl;
-  if(kVerbose > 0) std::cout << "         " << kFileName << std::endl;
+  if(kVerbose > 0) G4cout << ">>>>>>>  store data (ver.3) <<<<<<<" << G4endl;
+  if(kVerbose > 0) G4cout << "         " << kFileName << G4endl;
 
   bool DEBUG = false;//
@@ -1055,6 +1062,6 @@
   ofile.write((char *)cmt, 1024);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Data comment : "
-	      << kComment << std::endl;
+    G4cout << "Data comment : "
+	      << kComment << G4endl;
   }
 
@@ -1062,9 +1069,9 @@
   ofile.write((char *)kVoxelSpacing, 12);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -1090,11 +1097,11 @@
   ofile.write((char *)&kPointerToTrackData, 4);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", ";
     for(int i = 0; i < nDoseDist; i++) {
-      std::cout << kPointerToDoseDistData[i] << ", ";
-    }
-    std::cout << kPointerToROIData << ", "
-	      << kPointerToTrackData << std::endl;
+      G4cout << kPointerToDoseDistData[i] << ", ";
+    }
+    G4cout << kPointerToROIData << ", "
+	      << kPointerToTrackData << G4endl;
   }
 
@@ -1110,9 +1117,9 @@
   ofile.write((char *)size, 3*sizeof(int));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
 
@@ -1129,20 +1136,20 @@
   ofile.write((char *)&scale, 4);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image min., max., scale : "
+    G4cout << "Modality image min., max., scale : "
 	      << minmax[0] << ", "
 	      << minmax[1] << ", "
-	      << scale << std::endl;
+	      << scale << G4endl;
   }
 
   // modality image
   int psize = size[0]*size[1];
-  if(DEBUG || kVerbose > 0) std::cout << "Modality image : ";
+  if(DEBUG || kVerbose > 0) G4cout << "Modality image : ";
   for(int i = 0; i < size[2]; i++) {
     short * image = kModality.getImage(i);
     ofile.write((char *)image, psize*sizeof(short));
 
-    if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
-  }
-  if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
+  }
+  if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
   // modality desity map for CT value
@@ -1152,8 +1159,8 @@
   ofile.write((char *)pdmap, msize*sizeof(float));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "density map : " << std::ends;
+    G4cout << "density map : " << std::ends;
     for(int i = 0; i < (int)msize; i+=50)
-      std::cout <<kModalityImageDensityMap[i] << ", ";
-    std::cout << std::endl;
+      G4cout <<kModalityImageDensityMap[i] << ", ";
+    G4cout << G4endl;
   }
   delete [] pdmap;
@@ -1171,9 +1178,9 @@
       ofile.write((char *)size, 3*sizeof(int));
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose << "] image size : ("
+	G4cout << "Dose dist. [" << ndose << "] image size : ("
 		  << size[0] << ", "
 		  << size[1] << ", "
 		  << size[2] << ")"
-		  << std::endl;
+		  << G4endl;
       }
 
@@ -1185,5 +1192,5 @@
       ofile.write((char *)kDoseUnit.c_str(), 12);
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. unit : " << kDoseUnit << std::endl;
+	G4cout << "Dose dist. unit : " << kDoseUnit << G4endl;
       }
 
@@ -1194,9 +1201,9 @@
       ofile.write((char *)&scale, 4);
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose
+	G4cout << "Dose dist. [" << ndose
 		  << "] image min., max., scale : "
 		  << minmax[0] << ", "
 		  << minmax[1] << ", "
-		  << scale << std::endl;
+		  << scale << G4endl;
       }
 
@@ -1211,10 +1218,10 @@
 	  for(int j = 0; j < dsize; j++) {
 	    if(dimage[j] < 0)
-	      std::cout << "[" << j << "," << z << "]"
+	      G4cout << "[" << j << "," << z << "]"
 			<< dimage[j] << ", ";
 	  }
 	}
       }
-      if(DEBUG || kVerbose > 0) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) G4cout << G4endl;
       delete [] dimage;
 
@@ -1225,9 +1232,9 @@
       ofile.write((char *)iCenter, 3*4); // 3*sizeof(int)
       if(DEBUG || kVerbose > 0) {
-	std::cout << "Dose dist. [" << ndose
+	G4cout << "Dose dist. [" << ndose
 		  << "]image relative location : ("
 		  << iCenter[0] << ", "
 		  << iCenter[1] << ", "
-		  << iCenter[2] << ")" << std::endl;
+		  << iCenter[2] << ")" << G4endl;
       }
     }
@@ -1240,9 +1247,9 @@
     ofile.write((char *)size, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -1255,8 +1262,8 @@
     ofile.write((char *)&scale, sizeof(float));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -1274,8 +1281,8 @@
     ofile.write((char *)iCenter, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< iCenter[0] << ", "
 		<< iCenter[1] << ", "
-		<< iCenter[2] << ")" << std::endl;
+		<< iCenter[2] << ")" << G4endl;
     }
   }
@@ -1286,6 +1293,6 @@
   ofile.write((char *)&ntrk, sizeof(int));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "# of tracks : "
-	      << ntrk << std::endl;
+    G4cout << "# of tracks : "
+	      << ntrk << G4endl;
   }
   // track position
@@ -1297,6 +1304,7 @@
   int ntcolor = int(kStepColors.size());
   if(ntrk != ntcolor) 
-    std::cerr << "# of track color information must be the same as # of tracks." 
-	      << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "# of track color information must be the same as # of tracks." 
+	     << G4endl;
   unsigned char white[3] = {255,255,255}; // default color
   for(int i = 0; i < ntrk; i++) {
@@ -1325,6 +1333,6 @@
 bool G4GMocrenIO::storeData2() {
 
-  if(kVerbose > 0) std::cout << ">>>>>>>  store data (ver.2) <<<<<<<" << std::endl;
-  if(kVerbose > 0) std::cout << "         " << kFileName << std::endl;
+  if(kVerbose > 0) G4cout << ">>>>>>>  store data (ver.2) <<<<<<<" << G4endl;
+  if(kVerbose > 0) G4cout << "         " << kFileName << G4endl;
 
   bool DEBUG = false;//
@@ -1361,9 +1369,9 @@
   ofile.write((char *)kVoxelSpacing, 12);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -1381,9 +1389,9 @@
   ofile.write((char *)&kPointerToTrackData, 4);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", "
 	      << kPointerToDoseDistData[0] << ", "
 	      << kPointerToROIData << ", "
-	      << kPointerToTrackData << std::endl;
+	      << kPointerToTrackData << G4endl;
   }
 
@@ -1399,9 +1407,9 @@
   ofile.write((char *)size, 3*sizeof(int));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
 
@@ -1418,20 +1426,20 @@
   ofile.write((char *)&scale, 4);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image min., max., scale : "
+    G4cout << "Modality image min., max., scale : "
 	      << minmax[0] << ", "
 	      << minmax[1] << ", "
-	      << scale << std::endl;
+	      << scale << G4endl;
   }
 
   // modality image
   int psize = size[0]*size[1];
-  if(DEBUG || kVerbose > 0) std::cout << "Modality image : ";
+  if(DEBUG || kVerbose > 0) G4cout << "Modality image : ";
   for(int i = 0; i < size[2]; i++) {
     short * image =kModality.getImage(i);
     ofile.write((char *)image, psize*sizeof(short));
 
-    if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
-  }
-  if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << image[(size_t)(psize*0.55)] << ", ";
+  }
+  if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
   // modality desity map for CT value
@@ -1441,8 +1449,8 @@
   ofile.write((char *)pdmap, msize*sizeof(float));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "density map : " << std::ends;
+    G4cout << "density map : " << std::ends;
     for(int i = 0; i < (int)msize; i+=50)
-      std::cout <<kModalityImageDensityMap[i] << ", ";
-    std::cout << std::endl;
+      G4cout <<kModalityImageDensityMap[i] << ", ";
+    G4cout << G4endl;
   }
   delete [] pdmap;
@@ -1458,9 +1466,9 @@
     ofile.write((char *)size, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image size : ("
+      G4cout << "Dose dist. image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -1473,8 +1481,8 @@
     ofile.write((char *)&scale, sizeof(float));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image min., max., scale : "
+      G4cout << "Dose dist. image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -1489,10 +1497,10 @@
 	for(int j = 0; j < dsize; j++) {
 	  if(dimage[j] < 0)
-	    std::cout << "[" << j << "," << z << "]"
+	    G4cout << "[" << j << "," << z << "]"
 		      << dimage[j] << ", ";
 	}
       }
     }
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
     delete [] dimage;
 
@@ -1503,8 +1511,8 @@
     ofile.write((char *)iCenter, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image relative location : ("
+      G4cout << "Dose dist. image relative location : ("
 		<< iCenter[0] << ", "
 		<< iCenter[1] << ", "
-		<< iCenter[2] << ")" << std::endl;
+		<< iCenter[2] << ")" << G4endl;
     }
 
@@ -1517,9 +1525,9 @@
     ofile.write((char *)size, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image size : ("
+      G4cout << "ROI image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
 
@@ -1532,8 +1540,8 @@
     ofile.write((char *)&scale, sizeof(float));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image min., max., scale : "
+      G4cout << "ROI image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
@@ -1551,8 +1559,8 @@
     ofile.write((char *)iCenter, 3*sizeof(int));
     if(DEBUG || kVerbose > 0) {
-      std::cout << "ROI image relative location : ("
+      G4cout << "ROI image relative location : ("
 		<< iCenter[0] << ", "
 		<< iCenter[1] << ", "
-		<< iCenter[2] << ")" << std::endl;
+		<< iCenter[2] << ")" << G4endl;
     }
   }
@@ -1564,6 +1572,6 @@
   ofile.write((char *)&ntrk, sizeof(int));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "# of tracks : "
-	      << ntrk << std::endl;
+    G4cout << "# of tracks : "
+	      << ntrk << G4endl;
   }
   for(int i = 0; i < ntrk; i++) {
@@ -1591,6 +1599,7 @@
   std::ifstream ifile(kFileName.c_str(), std::ios_base::in|std::ios_base::binary);
   if(!ifile) {
-    std::cerr << "Cannot open file: " << kFileName
-	      << " in G4GMocrenIO::retrieveData()." << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Cannot open file: " << kFileName
+	     << " in G4GMocrenIO::retrieveData()." << G4endl;
     return false;
   }
@@ -1606,23 +1615,26 @@
   if(std::strncmp(verid, "gMocren", 7) == 0) {
     if(ver == 0x03) {
-      std::cout << ">>>>>>>  retrieve data (ver.3) <<<<<<<" << std::endl;
-      std::cout << "         " << kFileName << std::endl;
+      G4cout << ">>>>>>>  retrieve data (ver.3) <<<<<<<" << G4endl;
+      G4cout << "         " << kFileName << G4endl;
       retrieveData3();
     } else if (ver == 0x04) {
-      std::cout << ">>>>>>>  retrieve data (ver.4) <<<<<<<" << std::endl;
-      std::cout << "         " << kFileName << std::endl;
+      G4cout << ">>>>>>>  retrieve data (ver.4) <<<<<<<" << G4endl;
+      G4cout << "         " << kFileName << G4endl;
       retrieveData4();
     } else {
-      std::cerr << "Error -- invalid file version : " << (int)ver
-		<< std::endl;
-      std::cerr << "         " << kFileName << std::endl;
+      if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	G4cout << "Error -- invalid file version : " << (int)ver
+		  << G4endl;
+	G4cout << "         " << kFileName << G4endl;
+      }
       std::exit(-1);
     }
   } else if(std::strncmp(verid, "GRAPE", 5) == 0) {
-    std::cout << ">>>>>>>  retrieve data (ver.2) <<<<<<<" << std::endl;
-    std::cout << "         " << kFileName << std::endl;
+    G4cout << ">>>>>>>  retrieve data (ver.2) <<<<<<<" << G4endl;
+    G4cout << "         " << kFileName << G4endl;
     retrieveData2();
   } else {
-    std::cerr << kFileName << " was not gdd file." << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << kFileName << " was not gdd file." << G4endl;
     return false;
   }
@@ -1644,6 +1656,7 @@
   std::ifstream ifile(kFileName.c_str(), std::ios_base::in|std::ios_base::binary);
   if(!ifile) {
-    std::cerr << "Cannot open file: " << kFileName
-	      << " in G4GMocrenIO::retrieveData3()." << std::endl;
+    if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "Cannot open file: " << kFileName
+		<< " in G4GMocrenIO::retrieveData3()." << G4endl;
     return false;
   }
@@ -1662,14 +1675,14 @@
   ss << (int)ver;
   kVersion = ss.str();
-  if(DEBUG || kVerbose > 0) std::cout << "File version : " << kVersion << std::endl;
+  if(DEBUG || kVerbose > 0) G4cout << "File version : " << kVersion << G4endl;
 
   // endian
   ifile.read((char *)&kLittleEndianInput, sizeof(char));
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Endian : ";
+    G4cout << "Endian : ";
     if(kLittleEndianInput == 1) 
-      std::cout << " little" << std::endl;
+      G4cout << " little" << G4endl;
     else {
-      std::cout << " big" << std::endl;
+      G4cout << " big" << G4endl;
     }
   }
@@ -1686,6 +1699,6 @@
   setComment(scmt);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Data comment : "
-	      << kComment << std::endl;
+    G4cout << "Data comment : "
+	      << kComment << G4endl;
   }
 
@@ -1696,9 +1709,9 @@
   convertEndian(ctmp+8, kVoxelSpacing[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Voxel spacing : ("
+    G4cout << "Voxel spacing : ("
 	      << kVoxelSpacing[0] << ", "
 	      << kVoxelSpacing[1] << ", "
 	      << kVoxelSpacing[2]
-	      << ") mm " << std::endl;
+	      << ") mm " << G4endl;
   }
 
@@ -1734,12 +1747,12 @@
 
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Each pointer to data : "
+    G4cout << "Each pointer to data : "
 	      << kPointerToModalityData << ", ";
     for(int i = 0; i < nDoseDist; i++)
-      std::cout << kPointerToDoseDistData[i] << ", ";
-    std::cout << kPointerToROIData << ", "
+      G4cout << kPointerToDoseDistData[i] << ", ";
+    G4cout << kPointerToROIData << ", "
 	      << kPointerToTrackData << ", "
 	      << kPointerToDetectorData
-	      << std::endl;
+	      << G4endl;
   }
 
@@ -1749,5 +1762,5 @@
      kPointerToROIData == 0 && kPointerToTrackData == 0) {
     if(DEBUG || kVerbose > 0) {
-      std::cout << "No data." << std::endl;
+      G4cout << "No data." << G4endl;
     }
     return false;
@@ -1774,9 +1787,9 @@
   convertEndian(ctmp+2*sizeof(int), size[2]);
   if(DEBUG || kVerbose > 0) {
-    std::cout << "Modality image size : ("
+    G4cout << "Modality image size : ("
 	      << size[0] << ", "
 	      << size[1] << ", "
 	      << size[2] << ")"
-	      << std::endl;
+	      << G4endl;
   }
   kModality.setSize(size);
@@ -1810,13 +1823,13 @@
     kModality.setScale(dscale = scale);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Modality image min., max., scale : "
+      G4cout << "Modality image min., max., scale : "
 		<< minmax[0] << ", "
 		<< minmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // modality density
     int psize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Modality image (" << psize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Modality image (" << psize << "): ";
     char * cimage = new char[psize*sizeof(short)];
     for(int i = 0; i < size[2]; i++) {
@@ -1828,12 +1841,12 @@
       kModality.addImage(mimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
-    }
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+      if(DEBUG || kVerbose > 0) G4cout << "[" << i << "]" << mimage[(size_t)(psize*0.55)] << ", ";
+    }
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
     delete [] cimage;
 
     // modality desity map for CT value
     size_t msize = minmax[1]-minmax[0]+1;
-    if(DEBUG || kVerbose > 0) std::cout << "msize: " << msize << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << "msize: " << msize << G4endl;
     char * pdmap = new char[msize*sizeof(float)];
     ifile.read((char *)pdmap, msize*sizeof(float));
@@ -1844,13 +1857,13 @@
     }
     if(DEBUG || kVerbose > 0) {
-      std::cout << "density map : " << std::ends;
+      G4cout << "density map : " << std::ends;
       for(int i = 0; i < 10; i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
-      for(int i = 0; i < 10; i++) std::cout << "..";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
+      for(int i = 0; i < 10; i++) G4cout << "..";
+      G4cout << G4endl;
       for(size_t i =kModalityImageDensityMap.size() - 10; i <kModalityImageDensityMap.size(); i++)
-	std::cout <<kModalityImageDensityMap[i] << ", ";
-      std::cout << std::endl;
+	G4cout <<kModalityImageDensityMap[i] << ", ";
+      G4cout << G4endl;
     }
 
@@ -1869,9 +1882,9 @@
     convertEndian(ctmp+2*sizeof(int), size[2]);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image size : ("
+      G4cout << "Dose dist. image size : ("
 		<< size[0] << ", "
 		<< size[1] << ", "
 		<< size[2] << ")"
-		<< std::endl;
+		<< G4endl;
     }
     kDose[ndose].setSize(size);
@@ -1889,5 +1902,5 @@
     setDoseDistUnit(sdunit, ndose);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. unit : " << kDoseUnit << std::endl;
+      G4cout << "Dose dist. unit : " << kDoseUnit << G4endl;
     }
 
@@ -1902,13 +1915,13 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image min., max., scale : "
+      G4cout << "Dose dist. image min., max., scale : "
 		<< dminmax[0] << ", "
 		<< dminmax[1] << ", "
-		<< scale << std::endl;
+		<< scale << G4endl;
     }
 
     // dose distribution image
     int dsize = size[0]*size[1];
-    if(DEBUG || kVerbose > 0) std::cout << "Dose dist. (" << dsize << "): ";
+    if(DEBUG || kVerbose > 0) G4cout << "Dose dist. (" << dsize << "): ";
     char * di = new char[dsize*sizeof(short)];
     short * shimage = new short[dsize];
@@ -1922,10 +1935,10 @@
       kDose[ndose].addImage(dimage);
 
-      if(DEBUG || kVerbose > 0) std::cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
+      if(DEBUG || kVerbose > 0) G4cout << "[" << z << "]" << dimage[(size_t)(dsize*0.55)] << ", ";
 
       if(DEBUG || kVerbose > 0) {
 	for(int j = 0; j < dsize; j++) {
 	  if(dimage[j] < 0)
-	    std::cout << "[" << j << "," << z << "]"
+	    G4cout << "[" << j << "," << z << "]"
 		      << dimage[j] << ", ";
 	}
@@ -1934,5 +1947,5 @@
     delete [] shimage;
     delete [] di;
-    if(DEBUG || kVerbose > 0) std::cout << std::endl;
+    if(DEBUG || kVerbose > 0) G4cout << G4endl;
 
     ifile.read((char *)ctmp, 3*4); // 3*sizeof(int)
@@ -1944,8 +1957,8 @@
 
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. image relative location : ("
+      G4cout << "Dose dist. image relative location : ("
 		<< fCenter[0] << ", "
 		<< fCenter[1] << ", "
-		<< fCenter[2] << ")" << std::endl;
+		<< fCenter[2] << ")" << G4endl;
     }
 
@@ -1957,5 +1970,5 @@
     setDoseDistName(dosename, ndose);
     if(DEBUG || kVerbose > 0) {
-      std::cout << "Dose dist. name : " << dosename << std::endl;
+      G4cout << "Dose dist. name : " << dosename << G4endl;
     }
 
